Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Utils Namespace Reference

## Classes
struct | ACE_Utils::Auto_Functor_Ref< X, Functor >
| Helper class to implement assignment and copy-construction as expected. More...
class | ACE_Utils::Auto_Functor< X, Functor >
| Helper template to implement auto_ptr<>-like classes, but executing a functor in the destructor, instead of always deleting things. More...
class | ACE_Utils::UUID_node
| Class to hold a MAC address. More...
class | ACE_Utils::UUID
class | ACE_Utils::UUID_Generator
struct | ACE_Utils::UUID_Generator::UUID_State
class | ACE_Utils::Truncate
| Helper function to truncate an integral value to an int. More...
class | ACE_Utils::ACE_UUID
class | ACE_Utils::ACE_UUID_Generator
## Typedefs
typedef ACE_Singleton< UUID_Generator, ACE_SYNCH_MUTEX > | UUID_GENERATOR
## Functions
template<typename X>
int | Truncate (const X &val)
template<>
int | Truncate< size_t > (const size_t &val)

## Typedef Documentation

typedef ACE_Singleton<UUID_Generator, ACE_SYNCH_MUTEX> ACE_Utils::UUID_GENERATOR

## Function Documentation

template<typename X>
int Truncate | ( | const X & | val | ) | `[inline]`

template<>
int Truncate< size_t > | ( | const size_t & | val | ) | `[inline]`